Announcement

Announcement Module
Collapse
No announcement yet.

Broken dependancies with latest update

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Broken dependancies with latest update

    You have changed the versioning of the percona-xtradb-cluster-galera-3.x package:

    Code:
     The following packages have unmet dependencies:
       percona-xtradb-cluster-galera-3 : Depends: percona-xtradb-cluster-galera-3.x (= 3.6.3190.precise) but 216.precise is installed.
    Persumaly the old version is major version 216 while the new version is major version 3, hence 216 > 3 = fail.

    So you have to force aptitude to "downgrade" the package to get the "older" latest version:
    Code:
    The following actions will resolve these dependencies:
       
           Downgrade the following packages:                                                   
      1)     percona-xtradb-cluster-galera-3.x [216.precise (now) -> 3.6.3190.precise (<NULL>)]
       
       
       
      Accept this solution? [Y/n/q/?] y
      The following packages will be DOWNGRADED:
        percona-xtradb-cluster-galera-3.x 
      The following NEW packages will be installed:
        percona-xtradb-cluster-galera-3{a} 
      The following packages will be upgraded:
        percona-xtradb-cluster-56 
      1 packages upgraded, 1 newly installed, 1 downgraded, 0 to remove and 0 not upgraded.
      Need to get 1,031 kB of archives. After unpacking 159 kB will be used.
      Do you want to continue? [Y/n/?] y
      Get: 1 http://repo.percona.com/apt/ precise/main percona-xtradb-cluster-56 amd64 5.6.19-25.6-824.precise [12.0 kB]
      Get: 2 http://repo.percona.com/apt/ precise/main percona-xtradb-cluster-galera-3.x amd64 3.6.3190.precise [1,017 kB]
      Get: 3 http://repo.percona.com/apt/ precise/main percona-xtradb-cluster-galera-3 amd64 3.6.3190.precise [2,384 B]
      Fetched 1,031 kB in 2s (440 kB/s)                      
      (Reading database ... 60468 files and directories currently installed.)
      Preparing to replace percona-xtradb-cluster-56 5.6.15-25.5-759.precise (using .../percona-xtradb-cluster-56_5.6.19-25.6-824.precise_amd64.deb) ...
      Unpacking replacement percona-xtradb-cluster-56 ...
      dpkg: warning: downgrading percona-xtradb-cluster-galera-3.x from 216.precise to 3.6.3190.precise.
      Preparing to replace percona-xtradb-cluster-galera-3.x 216.precise (using .../percona-xtradb-cluster-galera-3.x_3.6.3190.precise_amd64.deb) ...
      Unpacking replacement percona-xtradb-cluster-galera-3.x ...
      Selecting previously unselected package percona-xtradb-cluster-galera-3.
      Unpacking percona-xtradb-cluster-galera-3 (from .../percona-xtradb-cluster-galera-3_3.6.3190.precise_amd64.deb) ...
      Setting up percona-xtradb-cluster-galera-3.x (3.6.3190.precise) ...
      Setting up percona-xtradb-cluster-galera-3 (3.6.3190.precise) ...
      Setting up percona-xtradb-cluster-56 (5.6.19-25.6-824.precise) ...

  • #2
    same problem with debian wheezy. Did you experience any problems with your way of updating, Philio?
    Last edited by magenbrot; 08-13-2014, 11:07 AM.

    Comment

    Working...
    X